# Class StyleForCharacter

#### Hierarchy

- Style
  - StyleForCharacter

- Defined in src/file/styles/style/character-style.ts:14

#####
Index

### Constructors

constructor

### Methods

addChildElement
prepForXml

## Constructors

### constructor

- new StyleForCharacter(options: ICharacterStyleOptions): StyleForCharacter

- #### Parameters

  - ##### options: ICharacterStyleOptions

  #### Returns StyleForCharacter

  Overrides Style.constructor

  - Defined in src/file/styles/style/character-style.ts:17

## Methods

### addChildElement

- addChildElement(child: string | XmlComponent): XmlComponent

- #### Parameters

  - ##### child: string | XmlComponent

  #### Returns XmlComponent

  Inherited from Style.addChildElement

  - Defined in src/file/xml-components/xml-component.ts:45

### prepForXml

- prepForXml(context: IContext): undefined | IXmlableObject

- #### Parameters

  - ##### context: IContext

  #### Returns undefined | IXmlableObject

  Inherited from Style.prepForXml

  - Defined in src/file/xml-components/xml-component.ts:20

Generated using TypeDoc